Index: boost/exception/detail/exception_ptr.hpp
===================================================================
--- boost/exception/detail/exception_ptr.hpp	(revision 72798)
+++ boost/exception/detail/exception_ptr.hpp	(working copy)
@@ -455,6 +455,8 @@
         {
         BOOST_ASSERT(p);
         p.ptr_->rethrow();
+        BOOST_ASSERT(0);
+        abort();
         }
 
     inline
Index: boost/exception/exception.hpp
===================================================================
--- boost/exception/exception.hpp	(revision 72798)
+++ boost/exception/exception.hpp	(working copy)
@@ -132,7 +132,17 @@
             }
         };
 
+#if defined(__GNUC__)
+# if (__GNUC__ == 4 && __GNUC_MINOR__ >= 1) || (__GNUC__ > 4)
+#  pragma GCC visibility push (default)
+# endif
+#endif
     class exception;
+#if defined(__GNUC__)
+# if (__GNUC__ == 4 && __GNUC_MINOR__ >= 1) || (__GNUC__ > 4)
+#  pragma GCC visibility pop
+# endif
+#endif
 
     template <class T>
     class shared_ptr;
Index: libs/exception/build/Jamfile.v2
===================================================================
--- libs/exception/build/Jamfile.v2	(revision 72798)
+++ libs/exception/build/Jamfile.v2	(working copy)
@@ -5,7 +5,7 @@
 # Distributed under the Boost Software License, Version 1.0. (See accompanying
 # file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
 
-alias boost_exception ;
-lib boost_exception : ../src/clone_current_exception_msvc.cpp : <toolset>msvc ;
+# alias boost_exception ;
+# lib boost_exception : ../src/clone_current_exception_msvc.cpp : <toolset>msvc ;
 
-boost-install boost_exception ;
+# boost-install boost_exception ;
Index: libs/exception/test/Jamfile.v2
===================================================================
--- libs/exception/test/Jamfile.v2	(revision 72798)
+++ libs/exception/test/Jamfile.v2	(working copy)
@@ -11,8 +11,8 @@
   : requirements
       <link>static
       <exception-handling>on
-      <source>/boost//exception
-      <define>BOOST_ENABLE_NON_INTRUSIVE_EXCEPTION_PTR
+#      <source>/boost//exception
+#      <define>BOOST_ENABLE_NON_INTRUSIVE_EXCEPTION_PTR
       ;
 
 #to_string
